summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorElan Ruusamäe <[email protected]>2015-08-01 20:25:37 +0300
committerraveit65 <[email protected]>2015-08-14 22:23:57 +0200
commit3c248d7c64712ed9c708a622ab2e37ec742f0dcf (patch)
treee26d392ac790c422e1231211b771e009d55e0dda
parent5be73214cce199f1ef9645d427514220a11fca6a (diff)
downloadmate-themes-3c248d7c64712ed9c708a622ab2e37ec742f0dcf.tar.bz2
mate-themes-3c248d7c64712ed9c708a622ab2e37ec742f0dcf.tar.xz
kill bashism
-rwxr-xr-xcommon/mkiconlinks.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/common/mkiconlinks.sh b/common/mkiconlinks.sh
index b1573780..b5249e42 100755
--- a/common/mkiconlinks.sh
+++ b/common/mkiconlinks.sh
@@ -16,7 +16,7 @@ read NEXTLINE
while [ ! -z "$NEXTLINE" ] ; do
# Skip lines beginning with '#'
- if [ ! "${NEXTLINE:0:1}" == '#' ]; then
+ if ! echo "$NEXTLINE" | grep -q '^#'; then
#Extract first field, minus its trailing colon
ORIG_FILE=`echo $NEXTLINE | awk '/:/{print $1}' | sed -e 's/://'`